machinekit-hal build

Trying to build machinkekit-hal from source on a BeagleBone black (5.15.73-bone-rt-r31)

using these insructions:
http://www.machinekit.io/docs/developing/machinekit-developing/

on the step
mk-build-deps
and subsequently,
sudo apt-get install machinekit-hal-build-deps_1.0_all.deb

which results in:
Depends: pru-assembler but it is not installable.

Is this easily resolvable, or is it indicative of a much more fundamental problem (machinekit-hal trying to use the older system of handling the prus).

Thanks very much,
Alan